Bug 1012008 - EAP62_1140 - [RFE] Support Spring + RESTeasy integration is missing
EAP62_1140 - [RFE] Support Spring + RESTeasy integration is missing
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: EAP 6.2.0
Assigned To: Weinan Li
Petr Sakař
:
Depends On:
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-09-25 10:36 EDT by Pavel Janousek
Modified: 2015-02-20 05:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-318 Major Open Support Spring + RESTeasy integration 2014-05-14 08:04:39 EDT

  None (edit)
Description Pavel Janousek 2013-09-25 10:36:36 EDT
[RFE] EAP62_1140 is still missing in ER3 build.
Comment 1 Weinan Li 2013-09-27 09:57:21 EDT
Please check Stuart's comment in https://issues.jboss.org/browse/PRODMGT-318

To integrate RESTEasy framework into WildFly/EAP, we first need to integrate Springwork, and then do some development regarding with RESTEasy integration. These are all upstream dev tasks instead of pure prod task.

Please discuss with Stuart and Bill on above tasks.

Currently what I can do is merely building resteasy-spring.jar. I'll finish this firstly.
Comment 4 Paul Gier 2013-09-27 14:36:49 EDT
Rebuild of resteasy with spring module is complete.  This will be included in the next build of the Maven repository zip.

Please describe if any additional integration work is required.
Comment 5 Paul Gier 2013-09-29 17:58:30 EDT
Moving this back to ASSIGNED until we hear from QA and PM whether additional work is needed.
Comment 7 Pavel Janousek 2013-10-04 09:03:21 EDT
resteasy-spring.jar is included in ER4 Maven repo as agreed on last PM call.

If an (functional) issue is found, it will raise separate BZ.

Note You need to log in before you can comment on or make changes to this bug.